List VPS plans available for public viewing (no authentication required)
curl --request GET \
--url https://api.storiza.store/vps-plans/publicconst options = {method: 'GET'};
fetch('https://api.storiza.store/vps-plans/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps-plans/public"
response = requests.get(url)
print(response.text){
"success": true,
"message": "Public VPS plans retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Basic VPS",
"price": "9.99",
"ram": {
"size": 2048,
"sizeGB": 2
},
"storage": {
"size": 20480,
"sizeGB": 20
},
"cpuCores": 2,
"cpuThreads": 4,
"cpu": {
"cores": 2,
"threads": 4
},
"networkSpeedLimitMbps": 1000,
"bandwidthLimitGb": 4096,
"maxSnapshots": 3,
"duration": "2592000000",
"able": true,
"hidden": false,
"outOfStock": false,
"isAvailable": true,
"createdAt": "2026-10-09T14:57:33.988Z",
"updatedAt": "2026-10-09T14:57:33.988Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}{
"success": false,
"type": "API",
"code": "VALIDATION_ERROR",
"error": "Validation error",
"details": {
"_errors": [
"The whole schema has some validation problems"
],
"some_field": {
"_errors": [
"This field has some validation problem"
]
}
}
}{
"success": false,
"type": "API",
"code": "INTERNAL_ERROR",
"error": "Internal server error"
}Server catalog
List VPS plans available for public viewing (no authentication required)
Lists the enabled, non-hidden VPS plans, cheapest first. Pass categoryId or category (a category slug, see GET /vps-categories; all means no filter) to narrow to one category. Supports the standard filtering query parameters (_page, _limit, _search, _sort_by).
No API key needed — this endpoint is public.
GET
/
vps-plans
/
public
List VPS plans available for public viewing (no authentication required)
curl --request GET \
--url https://api.storiza.store/vps-plans/publicconst options = {method: 'GET'};
fetch('https://api.storiza.store/vps-plans/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps-plans/public"
response = requests.get(url)
print(response.text){
"success": true,
"message": "Public VPS plans retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Basic VPS",
"price": "9.99",
"ram": {
"size": 2048,
"sizeGB": 2
},
"storage": {
"size": 20480,
"sizeGB": 20
},
"cpuCores": 2,
"cpuThreads": 4,
"cpu": {
"cores": 2,
"threads": 4
},
"networkSpeedLimitMbps": 1000,
"bandwidthLimitGb": 4096,
"maxSnapshots": 3,
"duration": "2592000000",
"able": true,
"hidden": false,
"outOfStock": false,
"isAvailable": true,
"createdAt": "2026-10-09T14:57:33.988Z",
"updatedAt": "2026-10-09T14:57:33.988Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}{
"success": false,
"type": "API",
"code": "VALIDATION_ERROR",
"error": "Validation error",
"details": {
"_errors": [
"The whole schema has some validation problems"
],
"some_field": {
"_errors": [
"This field has some validation problem"
]
}
}
}{
"success": false,
"type": "API",
"code": "INTERNAL_ERROR",
"error": "Internal server error"
}Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 250Was this page helpful?